Alias        "/gbrowse2/i/" "/var/cache/gbrowse/images/"
Alias        "/gbrowse2"    "/usr/share/gbrowse/htdocs"
ScriptAlias  "/gb2"      "/usr/lib/cgi-bin/gbrowse"

<Directory "/usr/share/gbrowse/htdocs">
  AllowOverride Options
  Options -Indexes -MultiViews +FollowSymLinks
  Require all granted
</Directory>

<Directory "/usr/share/gbrowse/htdocs/tutorial">
  Options +Indexes
</Directory>

<Directory "/var/cache/gbrowse/images/">
  Require all granted
</Directory>

<Directory "/var/lib/gbrowse/databases">
  Require all granted
</Directory>

<Directory "/usr/lib/cgi-bin/gbrowse">
  
  Options ExecCGI
  SetEnv GBROWSE_CONF   "/etc/gbrowse"
</Directory>

<IfModule mod_fcgid.c>
  Alias /fgb2 "/usr/lib/cgi-bin/gbrowse"
  <Location /fgb2>
    SetHandler   fcgid-script
  </Location>
  FcgidInitialEnv GBROWSE_CONF /etc/gbrowse
  # these directives prevent idle/busy timeouts and may need to be
  # adjusted up or down
  FcgidMinProcessesPerClass 6
  FcgidIOTimeout   600
  FcgidBusyTimeout 600
  
</IfModule>

<IfModule mod_fastcgi.c>
  Alias /fgb2 "/usr/lib/cgi-bin/gbrowse"
  <Location /fgb2>
    SetHandler   fastcgi-script
  </Location>
  # Note: you may need to increase -idle-timeout if file uploads are timing out and returning server
  # errors.
  FastCgiConfig -idle-timeout 600 -maxClassProcesses 20  -initial-env GBROWSE_CONF=/etc/gbrowse 
</IfModule>

# Use of mod_perl is no longer supported. Use at your own risk.
<IfModule mod_perl.c>
   Alias /mgb2 "/usr/lib/cgi-bin/gbrowse"
   
   <Location /mgb2>
     SetHandler perl-script
     PerlResponseHandler ModPerl::Registry
     PerlOptions +ParseHeaders
   </Location>
</IfModule>
